complete -c ab-av1 -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c ab-av1 -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "sample-encode" -d 'Encode & analyse input samples to predict how a full encode would go.
This is much quicker than a full encode/vmaf run.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "vmaf" -d 'Full VMAF score calculation, distorted file vs reference file.
Works with videos and images.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "encode" -d 'Invoke ffmpeg to encode a video or image'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "crf-search" -d 'Interpolated binary search using sample-encode to find the best crf
value delivering min-vmaf & max-encoded-percent.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "auto-encode" -d 'Automatically determine the best crf to deliver the min-vmaf and use it to encode a video or image.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "print-completions" -d 'Print shell completions'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -s e -l encoder -d 'Encoder override. See https://ffmpeg.org/ffmpeg-all.html#toc-Video-Encoders' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -s i -l input -d 'Input video file' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l pix-format -d 'Pixel format. svt-av1 default yuv420p10le' -r -f -a "{yuv420p	'',yuv420p10le	'',yuv444p10le	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l scd -d 'Svt-av1 scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=8' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l enc -d 'Additional ffmpeg encoder arg(s). E.g. `--enc x265-params=lossless=1` These are added as ffmpeg output file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l enc-input -d 'Additional ffmpeg input encoder arg(s). E.g. `--enc-input r=1` These are added as ffmpeg input file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l crf -d 'Encoder constant rate factor (1-63). Lower means better quality' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l samples -d 'Number of 20s samples to use across the input video. Overrides --sample-every. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l sample-every -d 'Calculate number of samples by dividing the input duration by this value. So "12m" would mean with an input 25-36 minutes long, 3 samples would be used. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l min-samples -d 'Minimum number of samples. So at least this many samples will be used' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l temp-dir -d 'Directory to store temporary sample data in. Defaults to using the input\'s directory' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l cache -d 'Enable sample-encode caching' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l stdout-format -d 'Stdout message format `human` or `json`' -r -f -a "{human	'',json	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l keep -d 'Keep temporary files after exiting'
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l reference -d 'Reference video file' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l reference-vfilter -d 'Ffmpeg video filter applied to the reference before analysis. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l distorted -d 'Re-encoded/distorted video file' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s e -l encoder -d 'Encoder override. See https://ffmpeg.org/ffmpeg-all.html#toc-Video-Encoders' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s i -l input -d 'Input video file' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l pix-format -d 'Pixel format. svt-av1 default yuv420p10le' -r -f -a "{yuv420p	'',yuv420p10le	'',yuv444p10le	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l scd -d 'Svt-av1 scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=8' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l enc -d 'Additional ffmpeg encoder arg(s). E.g. `--enc x265-params=lossless=1` These are added as ffmpeg output file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l enc-input -d 'Additional ffmpeg input encoder arg(s). E.g. `--enc-input r=1` These are added as ffmpeg input file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l crf -d 'Encoder constant rate factor (1-63). Lower means better quality' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s o -l output -d 'Output file, by default the same as input with `.av1` before the extension' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l acodec -d 'Set the output ffmpeg audio codec. By default \'copy\' is used. Otherwise, if re-encoding is necessary, \'libopus\' is default' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l downmix-to-stereo -d 'Downmix input audio streams to stereo if input streams use greater than 3 channels'
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l video-only -d 'Only process the main video stream, drop all other streams'
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -s e -l encoder -d 'Encoder override. See https://ffmpeg.org/ffmpeg-all.html#toc-Video-Encoders' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -s i -l input -d 'Input video file' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l pix-format -d 'Pixel format. svt-av1 default yuv420p10le' -r -f -a "{yuv420p	'',yuv420p10le	'',yuv444p10le	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l scd -d 'Svt-av1 scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=8' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l enc -d 'Additional ffmpeg encoder arg(s). E.g. `--enc x265-params=lossless=1` These are added as ffmpeg output file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l enc-input -d 'Additional ffmpeg input encoder arg(s). E.g. `--enc-input r=1` These are added as ffmpeg input file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l min-vmaf -d 'Desired min VMAF score to deliver' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l max-encoded-percent -d 'Maximum desired encoded size percentage of the input size' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l min-crf -d 'Minimum (highest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l max-crf -d 'Maximum (lowest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l crf-increment -d 'Constant rate factor search increment precision' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l cache -d 'Enable sample-encode caching' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l samples -d 'Number of 20s samples to use across the input video. Overrides --sample-every. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l sample-every -d 'Calculate number of samples by dividing the input duration by this value. So "12m" would mean with an input 25-36 minutes long, 3 samples would be used. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l min-samples -d 'Minimum number of samples. So at least this many samples will be used' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l temp-dir -d 'Directory to store temporary sample data in. Defaults to using the input\'s directory' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l thorough -d 'Keep searching until a crf is found no more than min_vmaf+0.05 or all possibilities have been attempted'
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s e -l encoder -d 'Encoder override. See https://ffmpeg.org/ffmpeg-all.html#toc-Video-Encoders' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s i -l input -d 'Input video file' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l pix-format -d 'Pixel format. svt-av1 default yuv420p10le' -r -f -a "{yuv420p	'',yuv420p10le	'',yuv444p10le	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l scd -d 'Svt-av1 scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=8' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l enc -d 'Additional ffmpeg encoder arg(s). E.g. `--enc x265-params=lossless=1` These are added as ffmpeg output file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l enc-input -d 'Additional ffmpeg input encoder arg(s). E.g. `--enc-input r=1` These are added as ffmpeg input file options' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l min-vmaf -d 'Desired min VMAF score to deliver' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l max-encoded-percent -d 'Maximum desired encoded size percentage of the input size' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l min-crf -d 'Minimum (highest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l max-crf -d 'Maximum (lowest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l crf-increment -d 'Constant rate factor search increment precision' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l cache -d 'Enable sample-encode caching' -r -f -a "{true	'',false	''}"
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l samples -d 'Number of 20s samples to use across the input video. Overrides --sample-every. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l sample-every -d 'Calculate number of samples by dividing the input duration by this value. So "12m" would mean with an input 25-36 minutes long, 3 samples would be used. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l min-samples -d 'Minimum number of samples. So at least this many samples will be used' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l temp-dir -d 'Directory to store temporary sample data in. Defaults to using the input\'s directory' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s o -l output -d 'Output file, by default the same as input with `.av1` before the extension' -r -F
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l acodec -d 'Set the output ffmpeg audio codec. By default \'copy\' is used. Otherwise, if re-encoding is necessary, \'libopus\' is default' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l thorough -d 'Keep searching until a crf is found no more than min_vmaf+0.05 or all possibilities have been attempted'
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l downmix-to-stereo -d 'Downmix input audio streams to stereo if input streams use greater than 3 channels'
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l video-only -d 'Only process the main video stream, drop all other streams'
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ab-av1 -n "__fish_seen_subcommand_from print-completions" -s h -l help -d 'Print help'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "sample-encode" -d 'Encode & analyse input samples to predict how a full encode would go.
This is much quicker than a full encode/vmaf run.'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "vmaf" -d 'Full VMAF score calculation, distorted file vs reference file.
Works with videos and images.'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "encode" -d 'Invoke ffmpeg to encode a video or image'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "crf-search" -d 'Interpolated binary search using sample-encode to find the best crf
value delivering min-vmaf & max-encoded-percent.'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "auto-encode" -d 'Automatically determine the best crf to deliver the min-vmaf and use it to encode a video or image.'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "print-completions" -d 'Print shell completions'
complete -c ab-av1 -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from sample-encode; and not __fish_seen_subcommand_from vmaf; and not __fish_seen_subcommand_from encode; and not __fish_seen_subcommand_from crf-search; and not __fish_seen_subcommand_from auto-encode; and not __fish_seen_subcommand_from print-completions; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
